Description

Can somehow soundfont files by loaded dynamically (foobar2000 MIDI plugin - I think source is available)?

History

#1 - February 23, 2012 21:50 - John Lindgren

The default is to load sound fonts when the first MIDI file is played.  If you want some other behavior, please explain what you mean.

#3 - February 23, 2012 22:39 - John Lindgren

- Category set to plugins/amidi-plug

#4 - February 24, 2012 05:04 - klo nuo

Thanks for your reply and sorry for lack of comprehension in my initial message.

When I play a MIDI file whole SF is load in memory. What I ask is dynamic loading of instruments without rolling whole SF in memory, as it's done in

foo_midi plugin of foobar2000 player.

However while I searched for a link to the source of this plugin, I found that dynamic loading is made possible by BASSMIDI driver: 

http://www.un4seen.com/bass.html

I want to run Colossus, without loading 1GB in RAM and while at it, Colossus has each instrument in separate SF file. Is it possible to load .sflist file

(which is directory listing of this SF file instruments)?

#5 - February 28, 2012 03:09 - John Lindgren

I see what you are saying now and the need for it; however I don't think the Fluidsynth library supports this.  (I could be wrong.)

#6 - July 10, 2016 07:00 - John Lindgren

- Status changed from New to Rejected

Closing since as stated earlier, I don't think Fluidsynth supports this.
